FileLoadException: Could not load file or assembly 'System.Core, Version=2.0.5.0 with the latest version of oxy plot

May 24, 2014 at 10:09 AM
I Was using the wpf version of the oxy plot. The dll version i was using is 2011.10.10.

Recentnly we observed there are few memory leaks in the views. To fix we shifted to latest version of the oxy plot. (i.e 2014.1.305.1)

The latest version of the oxy plot fixed the resolved the memory leak issue. We integreated this version.In devloper machines where silver light is installed oxy plot is working fine.

But in the test machine i get the below error
FileLoadException: Could not load file or assembly 'System.Core, Version=2.0.5.0 with the latest version of oxy plot
The application works on .Net 4. In the test machine visual studio is not present, .Net4 is installed but silverlight is not present.

I have no plans to put silverlight as a dependency. How this problem can be resolved what is the dependency required for this problem?
Coordinator
Jun 6, 2014 at 7:34 PM
Edited Jun 6, 2014 at 7:35 PM
Is this an old Windows version? XP? Then I think you need an update for PCL support.
http://support.microsoft.com/kb/2600211

If you want to run the library without patching you must build OxyPlot yourself - you can change the build target framework for the OxyPlot .NET 3.5 solution.